import java.sql.*;
import javax.sql.*;
import javax.sql.rowset.*;
import com.sun.rowset.*; // Bemrk: rowset.jar fra Sun skal vre i CLASSPATH

public class BenytCachedRowSet
{
	public static void main(String[] arg) throws Exception
	{
		Class.forName("com.mysql.jdbc.Driver");
		Connection con = DriverManager.getConnection("jdbc:mysql:///test");
		Statement stmt = con.createStatement();
		ResultSet rs = stmt.executeQuery("SELECT * FROM kunder");
		
		CachedRowSetImpl crs = new CachedRowSetImpl();
		crs.populate(rs);
		rs.close();
		
		// Opdater frste rkke i CachedRowSet-objektet
		crs.first();
		crs.updateDouble("kredit", -2000);
		crs.updateRow();
		
		// Indst rkke
		crs.moveToInsertRow();
		crs.updateString("navn", "Poul Nyrup");
		crs.updateDouble("kredit", 100000);
		crs.insertRow();
		crs.moveToCurrentRow();
		
		// Opdater data i databasen
		crs.setUrl("jdbc:mysql:///test");
		crs.setUsername("root");
		crs.setPassword("");
		crs.acceptChanges();
	}
}