import java.sql.*;
import javax.sql.*;
import javax.sql.rowset.*;
import com.sun.rowset.*; // Bemrk: rowset.jar fra Sun skal vre i CLASSPATH

public class BenytJdbcRowSet
{
	public static void main(String[] arg) throws Exception
	{
		Class.forName("com.mysql.jdbc.Driver");
		Connection con = DriverManager.getConnection("jdbc:mysql:///test");
		JdbcRowSetImpl jrs = new JdbcRowSetImpl(con);

		// Lav foresprgslen
		jrs.setCommand("SELECT * FROM kunder WHERE navn = ?");
		jrs.setString(1,"Jacob");
		jrs.execute();

		// Udskriv resultatet
		while (jrs.next())
		{
			String navn = jrs.getString("navn");
			double kredit = jrs.getDouble("kredit");
			System.out.println(navn+" "+kredit);
		}
	}
}