import java.sql.*;
import javax.sql.*;
import javax.sql.rowset.*;
import com.sun.rowset.*; // Bemrk: rowset.jar fra Sun skal vre i CLASSPATH

public class BenytWebRowSet
{
	public static void main(String[] arg) throws Exception
	{
		Class.forName("com.mysql.jdbc.Driver");
		Connection con = DriverManager.getConnection("jdbc:mysql:///test");
		Statement stmt = con.createStatement();
		ResultSet rs = stmt.executeQuery("SELECT * FROM kunder");

		WebRowSetImpl wrs = new WebRowSetImpl();// fejl her? Se koden i afsnit 6.4.3
		wrs.populate(rs);
		rs.close();

		// Generr XML
		wrs.writeXml(System.out);

		// Opdater frste rkke i WebRowSet-objektet
		wrs.first();
		wrs.updateDouble("kredit", -3000);
		wrs.updateRow();
		
		// Indst rkke
		wrs.moveToInsertRow();
		wrs.updateString("navn", "Fogh");
		wrs.updateDouble("kredit", 72);
		wrs.insertRow();
		wrs.moveToCurrentRow();

		// Generr XML der nu ogs omfatter ndringerne 
		wrs.writeXml(System.out);

		// Opdater data i databasen
		wrs.setUrl("jdbc:mysql:///test");
		wrs.setUsername("root");
		wrs.setPassword("");
		wrs.acceptChanges();
	}
}